%define oname	wxGlade

# comment out if not pre rel
%define prel	b1

# rel for bumping
%define rel	4

Name:		wxglade
Version:	1.1.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A wxWidgets/wxPython/wxPerl GUI designer
License:	MIT
Group:		Development/Python
URL:		https://wxglade.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/wxglade/wxglade/%{version}/%{oname}-%{version}%{?prel:%prel}.zip
Source1:	wxglade.desktop
Patch0:		wxglade-mga-fix-manual-installdir.patch
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
wxGlade is a GUI designer written in Python with the popular GUI
toolkit wxPython, that helps you create wxWidgets/wxPython user
interfaces. At the moment it can generate Python, C++, Perl and XRC
(wxWidgets' XML resources) code.

%prep
%autosetup -p1 -n %{oname}-%{version}%{?prel:%prel}

%build
%pyproject_wheel

%install
%pyproject_install

# Install desktop related entries
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{S:1}

%files
%{_docdir}/%{name}/
%{_bindir}/%{name}*
%{_iconsdir}/hicolor/*x*/apps/*.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}%{?prel:%prel}.dist-info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.1.0-0.b1.4.mga10
+ Revision: 2243253
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 daviddavid <daviddavid> 1.1.0-0.b1.3.mga10
+ Revision: 2161612
- rebuild for python 3.13

* Wed Sep 25 2024 daviddavid <daviddavid> 1.1.0-0.b1.2.mga10
+ Revision: 2101089
- fix html docs dir (from /manual_html to /html)
- use upstream desktop icon file

* Tue Sep 24 2024 daviddavid <daviddavid> 1.1.0-0.b1.1.mga10
+ Revision: 2100719
- new version: 1.1.0b1, fix segfault (mga#33584)

* Tue Sep 24 2024 daviddavid <daviddavid> 1.0.5-1.mga10
+ Revision: 2100707
- new version: 1.0.5

* Wed Dec 27 2023 daviddavid <daviddavid> 1.0.4-2.mga10
+ Revision: 2022041
- rebuild for py3.12

* Thu Aug 11 2022 neoclust <neoclust> 1.0.4-1.mga9
+ Revision: 1877119
- New version 1.0.4

* Sat Mar 26 2022 umeabot <umeabot> 1.0.1-4.mga9
+ Revision: 1828539
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 1.0.1-3.mga9
+ Revision: 1779256
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 1.0.1-2.mga9
+ Revision: 1705237
- rebuild for python 3.9

* Thu Feb 25 2021 daviddavid <daviddavid> 1.0.1-1.mga9
+ Revision: 1690723
- new version: 1.0.1

* Mon Dec 21 2020 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1662435
- new version: 1.0.0

* Mon Jun 15 2020 daviddavid <daviddavid> 0.9.6-1.mga8
+ Revision: 1593353
- new version: 0.9.6

* Wed Feb 19 2020 umeabot <umeabot> 0.9.5-2.mga8
+ Revision: 1544521
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 0.9.5-1.mga8
+ Revision: 1483117
- new version: 0.9.5

* Sun Sep 15 2019 daviddavid <daviddavid> 0.9.4-2.mga8
+ Revision: 1441688
- rebuild for python3.8

* Sat Aug 31 2019 daviddavid <daviddavid> 0.9.4-1.mga8
+ Revision: 1435807
- new version: 0.9.4

* Sat Apr 20 2019 daviddavid <daviddavid> 0.9.3-1.mga7
+ Revision: 1393941
- initial package wxglade

